Last Comment Bug 857575 - Various UI complaints about the threadpane's header. ;)
: Various UI complaints about the threadpane's header. ;)
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Folder and Message Lists (show other bugs)
: 18 Branch
: All Mac OS X
: -- normal (vote)
: Thunderbird 23.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-03 07:02 PDT by Blake Winton (:bwinton) (:☕️)
Modified: 2013-04-09 04:25 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
A screenshot of my Thunderbird header. (28.98 KB, image/png)
2013-04-03 07:02 PDT, Blake Winton (:bwinton) (:☕️)
no flags Details
patch (7.43 KB, patch)
2013-04-04 11:08 PDT, Richard Marti (:Paenglab)
bwinton: review+
bwinton: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review
screenshot with patch applied (21.86 KB, image/png)
2013-04-04 11:09 PDT, Richard Marti (:Paenglab)
no flags Details
ZIP file with the SVG files (9.97 KB, application/zip)
2013-04-04 11:11 PDT, Richard Marti (:Paenglab)
no flags Details

Description Blake Winton (:bwinton) (:☕️) 2013-04-03 07:02:49 PDT
Created attachment 732823 [details]
A screenshot of my Thunderbird header.

The things which I think need to be lightened up have pink boxes around them.
For the thread indicator, I think we can use the one from the header, for the dots, I would be happy just making them smaller and/or a lighter grey.  (Perhaps the same shade as the down arrow in the second row?)

Thanks,
Blake.
Comment 1 Richard Marti (:Paenglab) 2013-04-04 11:08:38 PDT
Created attachment 733450 [details] [diff] [review]
patch

This patch makes the dots 4px instead of 6px. I'm also used the lighter thread icons from thread header. Because of this the blue unread thread icons are a little bit thicker to show better their state.
In the column header I used now the old thread icon from treechild to hide the sortdir arrow.
I've also updated the HiDPI icons to follow the LoDPI ones. I could only test with removing the @media (min-resolution: 2dppx) media query on my normal screen and they are looking the same.
Comment 2 Richard Marti (:Paenglab) 2013-04-04 11:09:29 PDT
Created attachment 733451 [details]
screenshot with patch applied
Comment 3 Richard Marti (:Paenglab) 2013-04-04 11:11:10 PDT
Created attachment 733453 [details]
ZIP file with the SVG files
Comment 4 Blake Winton (:bwinton) (:☕️) 2013-04-04 12:22:53 PDT
Comment on attachment 733450 [details] [diff] [review]
patch

Looks much better!  ui-r=me!
And there really aren't many code changes, so r=me, too.

Thanks for the quick turnaround!

Mark, can we take this on Aurora?  The new theme makes it quite hard for me to scan the thread pane, and the only files that were changed were pngs, so the risk should be very low.
Comment 5 Mark Banner (:standard8) 2013-04-04 12:44:37 PDT
Comment on attachment 733450 [details] [diff] [review]
patch

Totally. a=me.
Comment 7 :aceman 2013-04-09 03:54:36 PDT
Does this change any other platform than OS X?
Can you set the platform fields? Thanks.

Note You need to log in before you can comment on or make changes to this bug.